Index: /trunk/acinclude.m4
===================================================================
--- /trunk/acinclude.m4	(revision 8522)
+++ /trunk/acinclude.m4	(revision 8523)
@@ -278,13 +278,14 @@
 
 AC_CHECK_LIB([dl], [dlopen])
-AX_CHECK_REQUIRED_HEADER_LIB([lua.h], [lua lua50], [lua_open],
-dnl libLUA found
-     [LUA_LIBS="${LUA_LIBS} -l${LAST_FOUND_LIB}"  AX_CHECK_REQUIRED_HEADER_LIB([lualib.h], [lualib lualib50], [luaopen_base],
+AX_CHECK_REQUIRED_HEADER_LIB([lua.h], [lua lua50], [lua_open],,,)
+AX_CHECK_REQUIRED_HEADER_LIB([lualib.h], [lualib lualib50], [luaopen_base])
+#dnl libLUA found
+#     [LUA_LIBS="${LUA_LIBS} -l${LAST_FOUND_LIB}"  AX_CHECK_REQUIRED_HEADER_LIB([lualib.h], [lualib lualib50], [luaopen_base],
 dnl liblualib found
-      [LUA_LIBS="${LUA_LIBS} -l${LAST_FOUND_LIB}"],,
-      [http://www.lua.org],, [${LUA_LIBS} -ldl -lm])],
-dnl liblua not found (download it)
-       [AX_GET_INSTALL_NECESSARY_LIB([http://www.lua.org/ftp], [lua-5.0.tar.gz], [lua-5.0], [extern_libs/], [include/*.h lib/*.a])
-       LUA_LIBS="-llualib -llua"  LUA_INCLUDES="-I$(top_build_dir)/extern_libs" ], [http://www.lua.org])
+#      [LUA_LIBS="${LUA_LIBS} -l${LAST_FOUND_LIB}"],,
+#      [http://www.lua.org],, [${LUA_LIBS} -ldl -lm])],
+#dnl liblua not found (download it)
+#       [AX_GET_INSTALL_NECESSARY_LIB([http://www.lua.org/ftp], [lua-5.0.tar.gz], [lua-5.0], [extern_libs/], [include/*.h lib/*.a])
+#       LUA_LIBS="-llualib -llua"  LUA_INCLUDES="-I$(top_build_dir)/extern_libs" ], [http://www.lua.org])
 
 AC_SUBST([LUA_LIBS])
@@ -340,7 +341,7 @@
 
 #cleaning up
-  echo "rm -rf ${_get_install_DISTDIR}"
-  rm -rf ${_get_install_DISTDIR}
-  echo "rm ${_get_install_DISTFILE}"
-  rm ${_get_install_DISTFILE}
-])
+#  echo "rm -rf ${_get_install_DISTDIR}"
+#  rm -rf ${_get_install_DISTDIR}
+#  echo "rm ${_get_install_DISTFILE}"
+#  rm ${_get_install_DISTFILE}
+])
Index: /trunk/configure.ac
===================================================================
--- /trunk/configure.ac	(revision 8522)
+++ /trunk/configure.ac	(revision 8523)
@@ -293,5 +293,5 @@
 
 CPPFLAGS="-I/usr/include -I/mingw/include ${CPPFLAGS}"
-
+LDFLAGS="${LDFLAGS} -L/mingw/lib"
     mingw="yes"
     MSBITFIELDS="-mms-bitfields"
Index: /trunk/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- /trunk/src/lib/graphics/effects/volfog_effect.cc	(revision 8522)
+++ /trunk/src/lib/graphics/effects/volfog_effect.cc	(revision 8523)
@@ -25,5 +25,5 @@
 
 #define GLX_GLXEXT_PROTOTYPES
-#include <GL/glx.h>
+//#include <GL/glx.h>
 // #include <GL/glut.h>
 
@@ -90,10 +90,10 @@
 
 
-    glFogCoordfEXT       = (PFNGLFOGCOORDFEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordfEXT");
+    /*    glFogCoordfEXT       = (PFNGLFOGCOORDFEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordfEXT");
     glFogCoordfvEXT      = (PFNGLFOGCOORDFVEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordfvEXT");
     glFogCoorddEXT       = (PFNGLFOGCOORDDEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoorddEXT");
     glFogCoorddvEXT      = (PFNGLFOGCOORDDVEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoorddvEXT");
     glFogCoordPointerEXT = (PFNGLFOGCOORDPOINTEREXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordPointerEXT");
-
+    */
     // set the fog attributes
     glFogf (GL_FOG_START,  fogStart);
Index: /trunk/src/lib/util/filesys/directory.cc
===================================================================
--- /trunk/src/lib/util/filesys/directory.cc	(revision 8522)
+++ /trunk/src/lib/util/filesys/directory.cc	(revision 8523)
@@ -99,4 +99,10 @@
     return false;
   }
+
+  dirent* entry;
+  while ((entry = readdir(handle)) != NULL)
+    this->_fileNames.push_back(entry->d_name);
+  closedir(handle);
+
 #else
   HANDLE handle;
@@ -124,18 +130,10 @@
     this->_fileNames.push_back(entry.cFileName);
   }
-#endif
-
-  // BUILDING the list of contained Files. (only the names)
-#if not defined(__WIN32__)
-  dirent* entry;
-  while ((entry = readdir(handle)) != NULL)
-    this->_fileNames.push_back(entry->d_name);
-  closedir(handle);
-#else
-  WIN32_FIND_DATA entry;
-  while ((int ok = FindNextFile(handle, &entry)) != 0)
+  int ok;
+  while ((ok = FindNextFile(handle, &entry)) != 0)
     this->_fileNames.push_back(entry.cFileName);
   FindClose(handle);
-#endif
+#endif /* __WIN_32__ */
+
   this->_opened = true;
   return true;
Index: /trunk/src/story_entities/simple_game_menu.cc
===================================================================
--- /trunk/src/story_entities/simple_game_menu.cc	(revision 8522)
+++ /trunk/src/story_entities/simple_game_menu.cc	(revision 8523)
@@ -191,5 +191,5 @@
 #include <ApplicationServices/ApplicationServices.h>
 #elif defined __WIN32__
-#include <shellapi.h>
+//#include <shellapi.h>
 #endif
 
@@ -205,7 +205,7 @@
   CFRelease (url_handle);
 #elif defined __WIN32__
-  ShellExecute(GetActiveWindow(),
+  /*  ShellExecute(GetActiveWindow(),
                "open", URL.c_str(), NULL, NULL, SW_SHOWNORMAL);
-}
+	       }*/
 #endif
   PRINTF(3)("loaded external webpage %s\n", URL.c_str());
Index: /trunk/src/util/signal_handler.h
===================================================================
--- /trunk/src/util/signal_handler.h	(revision 8522)
+++ /trunk/src/util/signal_handler.h	(revision 8523)
@@ -73,4 +73,7 @@
   void dontCatch() {};
   void registerCallback( SignalCallback cb, void * someData ) {};
+
+ private:
+    static SignalHandler * singletonRef;
 };
 #endif