Index: /branches/gui/src/lib/graphics/text_engine/limited_width_text.cc
===================================================================
--- /branches/gui/src/lib/graphics/text_engine/limited_width_text.cc	(revision 8538)
+++ /branches/gui/src/lib/graphics/text_engine/limited_width_text.cc	(revision 8539)
@@ -62,5 +62,5 @@
   // drawing this Text.
   // setting the Blending effects
-  glColor4fv(&this->getColor()[0]);
+  glColor4fv(&this->color()[0]);
 
 
@@ -72,5 +72,5 @@
   glTexEnvi(GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, GL_MODULATE );
 
-  glBindTexture(GL_TEXTURE_2D, this->getFont()->getTexture());
+  glBindTexture(GL_TEXTURE_2D, this->font()->getTexture());
   glTranslatef(getAbsCoor2D().x, getAbsCoor2D().y, 0);
   glRotatef(this->getAbsDir2D(), 0, 0, 1);
@@ -81,19 +81,19 @@
   for (unsigned int i = 0; i < this->_dotedText.size(); i++)
   {
-    if(likely((tmpGlyph = this->getFont()->getGlyphArray()[this->_dotedText[i]]) != NULL))
+    if(likely((tmpGlyph = this->font()->getGlyphArray()[this->_dotedText[i]]) != NULL))
     {
       glTexCoord2f(tmpGlyph->texCoord[1], tmpGlyph->texCoord[2]);
-      glVertex2d(posX+tmpGlyph->maxX*this->getSize(), 0);
+      glVertex2d(posX+tmpGlyph->maxX*this->size(), 0);
 
       glTexCoord2f(tmpGlyph->texCoord[1], tmpGlyph->texCoord[3]);
-      glVertex2d(posX+tmpGlyph->maxX*this->getSize(), this->getSize());
+      glVertex2d(posX+tmpGlyph->maxX*this->size(), this->size());
 
       glTexCoord2f(tmpGlyph->texCoord[0], tmpGlyph->texCoord[3]);
-      glVertex2d(posX+tmpGlyph->minX*this->getSize(), this->getSize());
+      glVertex2d(posX+tmpGlyph->minX*this->size(), this->size());
 
       glTexCoord2f(tmpGlyph->texCoord[0], tmpGlyph->texCoord[2]);
-      glVertex2d(posX+tmpGlyph->minX*this->getSize(), 0);
+      glVertex2d(posX+tmpGlyph->minX*this->size(), 0);
 
-      posX += tmpGlyph->advance * this->getSize();
+      posX += tmpGlyph->advance * this->size();
     }
   }
@@ -109,38 +109,38 @@
 void LimitedWidthText::setupTextWidth()
 {
-  float dotsSize = this->getFont()->getGlyphArray()[46]->advance * 3.0;
+  float dotsSize = this->font()->getGlyphArray()[46]->advance * 3.0;
 
   float width = 0.0f;
-  float maxWidth = this->_lineWidth / this->getSize();
+  float maxWidth = this->_lineWidth / this->size();
 
   switch (this->_dotsPosition)
   {
     case End:
-      for (unsigned int i = 0; i < this->getText().size(); i++)
+      for (unsigned int i = 0; i < this->text().size(); i++)
       {
         if (width + dotsSize > maxWidth )
         {
-          this->_dotedText = this->getText().substr(0, i) + "...";
+          this->_dotedText = this->text().substr(0, i) + "...";
           width += dotsSize;
           break;
         }
         // Advance the Text.
-        if(this->getFont()->getGlyphArray()[this->getText()[i]] != NULL)
-          width += this->getFont()->getGlyphArray()[this->getText()[i]]->advance;
+        if(this->font()->getGlyphArray()[this->text()[i]] != NULL)
+          width += this->font()->getGlyphArray()[this->text()[i]]->advance;
       }
       this->setSizeX2D(width);
       break;
     case Begin:
-      for (unsigned int i = this->getText().size() - 1; i < 0; i--)
+      for (unsigned int i = this->text().size() - 1; i < 0; i--)
       {
         if (width + dotsSize > maxWidth )
         {
-          this->_dotedText = std::string("...") + this->getText().substr(i);
+          this->_dotedText = std::string("...") + this->text().substr(i);
           width += dotsSize;
           break;
         }
         // Advance the Text.
-        if(this->getFont()->getGlyphArray()[this->getText()[i]] != NULL)
-          width += this->getFont()->getGlyphArray()[this->getText()[i]]->advance;
+        if(this->font()->getGlyphArray()[this->text()[i]] != NULL)
+          width += this->font()->getGlyphArray()[this->text()[i]]->advance;
       }
       this->setSizeX2D(width);
Index: /branches/gui/src/lib/graphics/text_engine/multi_line_text.cc
===================================================================
--- /branches/gui/src/lib/graphics/text_engine/multi_line_text.cc	(revision 8538)
+++ /branches/gui/src/lib/graphics/text_engine/multi_line_text.cc	(revision 8539)
@@ -61,5 +61,5 @@
 void MultiLineText::draw() const
 {
-  if (unlikely(this->getText().empty()))
+  if (unlikely(this->text().empty()))
     return;
   glPushMatrix();
@@ -76,5 +76,5 @@
   glActiveTexture(GL_TEXTURE0);
 
-  glColor4fv(&this->getColor()[0]);
+  glColor4fv(&this->color()[0]);
   glEnable(GL_BLEND);
   glEnable(GL_TEXTURE_2D);
@@ -82,5 +82,5 @@
   glTexEnvi(GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, GL_MODULATE );
 
-  glBindTexture(GL_TEXTURE_2D, this->getFont()->getTexture());
+  glBindTexture(GL_TEXTURE_2D, this->font()->getTexture());
   glTranslatef(this->getAbsCoor2D().x, this->getAbsCoor2D().y, 0);
   glRotatef(this->getAbsDir2D(), 0, 0, 1);
@@ -92,5 +92,5 @@
 
   glBegin(GL_QUADS);
-  for (unsigned int i = 0; i < this->getText().size(); ++i)
+  for (unsigned int i = 0; i < this->text().size(); ++i)
   {
     if (unlikely(this->lineEnds.size() > lineNumber && i == this->lineEnds[lineNumber]))
@@ -99,22 +99,22 @@
       ++lineNumber;
       posX = 0.0f;
-      posY += this->lineSpacing + this->getSize(); //this->getFont()->getMaxHeight();
+      posY += this->lineSpacing + this->size(); //this->font()->getMaxHeight();
     }
 
-    if(likely((tmpGlyph = this->getFont()->getGlyphArray()[this->getText()[i]]) != NULL))
+    if(likely((tmpGlyph = this->font()->getGlyphArray()[this->text()[i]]) != NULL))
     {
       glTexCoord2f(tmpGlyph->texCoord[1], tmpGlyph->texCoord[2]);
-      glVertex2d(posX+tmpGlyph->maxX*this->getSize(), posY);
+      glVertex2d(posX+tmpGlyph->maxX*this->size(), posY);
 
       glTexCoord2f(tmpGlyph->texCoord[1], tmpGlyph->texCoord[3]);
-      glVertex2d(posX+tmpGlyph->maxX*this->getSize(), posY + this->getSize());
+      glVertex2d(posX+tmpGlyph->maxX*this->size(), posY + this->size());
 
       glTexCoord2f(tmpGlyph->texCoord[0], tmpGlyph->texCoord[3]);
-      glVertex2d(posX+tmpGlyph->minX*this->getSize(), posY+ this->getSize());
+      glVertex2d(posX+tmpGlyph->minX*this->size(), posY+ this->size());
 
       glTexCoord2f(tmpGlyph->texCoord[0], tmpGlyph->texCoord[2]);
-      glVertex2d(posX+tmpGlyph->minX*this->getSize(), posY);
+      glVertex2d(posX+tmpGlyph->minX*this->size(), posY);
 
-      posX += tmpGlyph->advance * this->getSize();
+      posX += tmpGlyph->advance * this->size();
     }
   }
@@ -132,14 +132,14 @@
   this->lineEnds.clear();
   float width = 0.0f;
-  float maxWidth = this->lineWidth / this->getSize();
+  float maxWidth = this->lineWidth / this->size();
 
-  for (unsigned int i = 0; i < this->getText().size(); i++)
+  for (unsigned int i = 0; i < this->text().size(); i++)
   {
-    if (width > maxWidth || this->getText()[i] == '\n')
+    if (width > maxWidth || this->text()[i] == '\n')
     {
       if (likely(i > 0))
       {
         this->lineEnds.push_back( i -1 );
-        width = this->getFont()->getGlyphArray()[this->getText()[i-1]]->advance;
+        width = this->font()->getGlyphArray()[this->text()[i-1]]->advance;
       }
       else
@@ -148,9 +148,9 @@
 
     // Advance the Text.
-    if(this->getFont()->getGlyphArray()[this->getText()[i]] != NULL)
-      width += this->getFont()->getGlyphArray()[this->getText()[i]]->advance;
+    if(this->font()->getGlyphArray()[this->text()[i]] != NULL)
+      width += this->font()->getGlyphArray()[this->text()[i]]->advance;
   }
   this->lineCount = lineEnds.size() + 1;
-  this->setSizeY2D((this->lineEnds.size()+1) * (this->lineSpacing + this->getFont()->getMaxHeight()));
+  this->setSizeY2D((this->lineEnds.size()+1) * (this->lineSpacing + this->font()->getMaxHeight()));
 }
 
@@ -162,5 +162,5 @@
  printf("Debug %s::%s: %d lines\n", this->getClassName(), this->getName(), this->getLineCount());
 
- std::string tmpText = this->getText();
+ std::string tmpText = this->text();
  std::vector<unsigned int> ends = this->lineEnds;
  ends.push_back(tmpText.size());
Index: /branches/gui/src/lib/graphics/text_engine/text.cc
===================================================================
--- /branches/gui/src/lib/graphics/text_engine/text.cc	(revision 8538)
+++ /branches/gui/src/lib/graphics/text_engine/text.cc	(revision 8539)
@@ -34,8 +34,8 @@
 
   // initialize this Text
-  this->font = NULL;
-  this->size = textSize;
-  this->setSizeY2D(size);
-  this->color = TEXT_DEFAULT_COLOR;
+  this->_font = NULL;
+  this->_size = textSize;
+  this->setSizeY2D(textSize);
+  this->_color = TEXT_DEFAULT_COLOR;
 
   this->setAlignment(TEXT_DEFAULT_ALIGNMENT);
@@ -47,5 +47,5 @@
 {
   this->setClassID(CL_TEXT, "Text");
-  this->font = NULL;
+  this->_font = NULL;
 
   *this = text;
@@ -58,6 +58,6 @@
 Text::~Text()
 {
-  if (this->font != NULL && this->font != Font::getDefaultFont())
-    ResourceManager::getInstance()->unload(this->font);
+  if (this->_font != NULL && this->_font != Font::getDefaultFont())
+    ResourceManager::getInstance()->unload(this->_font);
 }
 
@@ -69,8 +69,8 @@
 bool Text::operator==(const Text& text) const
 {
-  return (this->text == text.text &&
-          this->size == text.size &&
-          this->font == text.font &&
-          this->color == text.color);
+  return (this->_text == text._text &&
+          this->_size == text._size &&
+          this->_font == text._font &&
+          this->_color == text._color);
 }
 
@@ -82,5 +82,5 @@
 bool Text::operator==(const std::string& text) const
 {
-  return (this->text == text);
+  return (this->_text == text);
 }
 
@@ -92,13 +92,13 @@
 Text& Text::operator=(const Text& text)
 {
-  this->size = text.size;
-  this->color = text.color;
+  this->_size = text._size;
+  this->_color = text._color;
   this->setAlignment(text.getAlignment());
-  if (this->font != NULL)
-    ResourceManager::getInstance()->unload(this->font);
-
-  this->font = (Font*)ResourceManager::getInstance()->copy( text.font ); //!< HACK
-
-  this->text = text.text;
+  if (this->_font != NULL)
+    ResourceManager::getInstance()->unload(this->_font);
+
+  this->_font = (Font*)ResourceManager::getInstance()->copy( text._font ); //!< HACK
+
+  this->_text = text._text;
   return *this;
 }
@@ -110,5 +110,5 @@
 void Text::setText(const std::string& text)
 {
-  this->text = text;
+  this->_text = text;
   this->setupTextWidth();
 }
@@ -120,5 +120,5 @@
 void Text::append(const std::string& appendText)
 {
-  this->text += appendText;
+  this->_text += appendText;
   this->setupTextWidth();
 }
@@ -129,5 +129,5 @@
 void Text::appendCharacter(char character)
 {
-  this->text += character;
+  this->_text += character;
   this->setupTextWidth();
 }
@@ -141,5 +141,5 @@
 {
   this->append(appendText);
-  return this->text;
+  return this->_text;
 }
 
@@ -152,8 +152,8 @@
 void Text::removeCharacters(unsigned int chars)
 {
-  if (text.size() > chars)
-    this->text.resize(this->text.size()-chars);
-  else if (!text.empty())
-    text.clear();
+  if (this->_text.size() > chars)
+    this->_text.resize(this->_text.size()-chars);
+  else if (!this->_text.empty())
+    this->_text.clear();
   this->setupTextWidth();
 }
@@ -165,5 +165,5 @@
 void Text::clear()
 {
-  text.clear();
+  this->_text.clear();
   this->setupTextWidth();
 }
@@ -177,5 +177,5 @@
 {
   Font* newFont = NULL;
-  Font* oldFont = this->font;
+  Font* oldFont = this->_font;
 
   // load a new Font
@@ -194,5 +194,5 @@
 
   // unloading the Font if we alrady have one loaded.
-  this->font = newFont;
+  this->_font = newFont;
   if (oldFont != NULL && oldFont != Font::getDefaultFont())
     ResourceManager::getInstance()->unload(oldFont);
@@ -207,5 +207,5 @@
 void Text::setSize(float size)
 {
-  this->size = size;
+  this->_size = size;
   this->setSizeY2D(size);
   this->setupTextWidth();
@@ -218,5 +218,5 @@
 void Text::draw() const
 {
-  if (unlikely(this->text.empty()))
+  if (unlikely(this->_text.empty()))
     return;
   glPushMatrix();
@@ -230,5 +230,5 @@
   // drawing this Text.
   // setting the Blending effects
-  glColor4fv(&this->color[0]);
+  glColor4fv(&this->_color[0]);
 
 
@@ -240,5 +240,5 @@
   glTexEnvi(GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, GL_MODULATE );
 
-  glBindTexture(GL_TEXTURE_2D, font->getTexture());
+  glBindTexture(GL_TEXTURE_2D, this->_font->getTexture());
   glTranslatef(getAbsCoor2D().x, getAbsCoor2D().y, 0);
   glRotatef(this->getAbsDir2D(), 0, 0, 1);
@@ -247,21 +247,21 @@
   float posX = 0.0f;
   glBegin(GL_QUADS);
-  for (unsigned int i = 0; i < this->text.size(); i++)
+  for (unsigned int i = 0; i < this->_text.size(); i++)
   {
-    if(likely((tmpGlyph = this->getFont()->getGlyphArray()[this->text[i]]) != NULL))
+    if(likely((tmpGlyph = this->font()->getGlyphArray()[this->_text[i]]) != NULL))
     {
       glTexCoord2f(tmpGlyph->texCoord[1], tmpGlyph->texCoord[2]);
-      glVertex2d(posX+tmpGlyph->maxX*this->getSize(), 0);
+      glVertex2d(posX+tmpGlyph->maxX*this->size(), 0);
 
       glTexCoord2f(tmpGlyph->texCoord[1], tmpGlyph->texCoord[3]);
-      glVertex2d(posX+tmpGlyph->maxX*this->getSize(), this->getSize());
+      glVertex2d(posX+tmpGlyph->maxX*this->size(), this->size());
 
       glTexCoord2f(tmpGlyph->texCoord[0], tmpGlyph->texCoord[3]);
-      glVertex2d(posX+tmpGlyph->minX*this->getSize(), this->getSize());
+      glVertex2d(posX+tmpGlyph->minX*this->size(), this->size());
 
       glTexCoord2f(tmpGlyph->texCoord[0], tmpGlyph->texCoord[2]);
-      glVertex2d(posX+tmpGlyph->minX*this->getSize(), 0);
-
-      posX += tmpGlyph->advance * this->getSize();
+      glVertex2d(posX+tmpGlyph->minX*this->size(), 0);
+
+      posX += tmpGlyph->advance * this->size();
     }
   }
@@ -278,8 +278,8 @@
 {
   float width = 0;
-  for (unsigned int i = 0; i < this->text.size(); i++)
-    if(this->font->getGlyphArray()[this->text[i]] != NULL)
-      width += this->font->getGlyphArray()[this->text[i]]->advance;
-  this->setSizeX2D(width * this->getSize());
+  for (unsigned int i = 0; i < this->_text.size(); i++)
+    if(this->_font->getGlyphArray()[this->_text[i]] != NULL)
+      width += this->_font->getGlyphArray()[this->_text[i]]->advance;
+  this->setSizeX2D(width * this->size());
 }
 
@@ -290,6 +290,6 @@
 void Text::debug() const
 {
-  PRINT(0)("=== TEXT: %s (with Font:'%s')  displaying %s ===\n", this->getName(), this->font->getName(), this->text.c_str());
-  PRINT(0)("Color: r=%0.2f g=%0.2f b=%0.2f a=%0.2f\n", this->color.r(), this->color.g(), this->color.b(), this->color.a());
-}
-
+  PRINT(0)("=== TEXT: %s (with Font:'%s')  displaying %s ===\n", this->getName(), this->_font->getName(), this->_text.c_str());
+  PRINT(0)("Color: r=%0.2f g=%0.2f b=%0.2f a=%0.2f\n", this->_color.r(), this->_color.g(), this->_color.b(), this->_color.a());
+}
+
Index: /branches/gui/src/lib/graphics/text_engine/text.h
===================================================================
--- /branches/gui/src/lib/graphics/text_engine/text.h	(revision 8538)
+++ /branches/gui/src/lib/graphics/text_engine/text.h	(revision 8539)
@@ -45,9 +45,9 @@
     void setFont(const std::string& fontFile, unsigned int renderSize);
     /** @param blending the blending intensity to set (between 0.0 and 1.0) */
-    inline void setBlending(float blending) { this->color.a() = blending; };
+    inline void setBlending(float blending) { this->_color.a() = blending; };
     /** @param r red @param g green @param b blue @brief sets the Color of the Text to render (values in [0-1]) */
-    void setColor(float r, float g, float b) { this->color = Color(r, g, b, this->color.a()); };
-    void setColor(float r, float g, float b, float a) { this->color = Color(r, g, b, a); };
-    void setColor(const Color& color) { this->color = color; };
+    void setColor(float r, float g, float b) { this->_color = Color(r, g, b, this->_color.a()); };
+    void setColor(float r, float g, float b, float a) { this->_color = Color(r, g, b, a); };
+    void setColor(const Color& color) { this->_color = color; };
     void setSize(float size);
 
@@ -55,14 +55,14 @@
     /// RETRIEVE
     /** @returns the String this Text displays */
-    inline const std::string& getText() const { return this->text; };
+    inline const std::string& text() const { return this->_text; };
 
     /** @returns the pointer to the stored Font (not changeable) */
-    inline const Font* const getFont() const { return this->font; };
+    inline const Font* const font() const { return this->_font; };
     /** @returns the Blending Value [0 invisible 1.0 full visible */
-    inline float getBlending() const { return this->color.a(); };
+    inline float blending() const { return this->_color.a(); };
     /** @returns: a Vector(r,g,b) @brief: retrieve a Vector holding the Color of the Text */
-    inline const Color& getColor() const { return this->color; };
+    inline const Color& color() const { return this->_color; };
     /** @returns the Size of the Text */
-    inline float getSize() const { return this->size; };
+    inline float size() const { return this->_size; };
 
     virtual void draw() const;
@@ -76,9 +76,9 @@
 
   private:
-    Font*             font;           //!< Font of this text
+    Font*             _font;           //!< Font of this text
 
-    std::string       text;           //!< The text to display
-    Color             color;          //!< The color of the font.
-    float             size;           //!< The size of the Text.
+    std::string       _text;           //!< The text to display
+    Color             _color;          //!< The color of the font.
+    float             _size;           //!< The size of the Text.
 };
 
Index: /branches/gui/src/lib/gui/gl/glgui_button.h
===================================================================
--- /branches/gui/src/lib/gui/gl/glgui_button.h	(revision 8538)
+++ /branches/gui/src/lib/gui/gl/glgui_button.h	(revision 8539)
@@ -36,5 +36,5 @@
       virtual ~GLGuiButton();
 
-      const std::string& label() const { return this->_label.getText(); };
+      const std::string& label() const { return this->_label.text(); };
       void setLabel(const std::string& label);
 
Index: /branches/gui/src/lib/gui/gl/glgui_inputline.cc
===================================================================
--- /branches/gui/src/lib/gui/gl/glgui_inputline.cc	(revision 8538)
+++ /branches/gui/src/lib/gui/gl/glgui_inputline.cc	(revision 8539)
@@ -121,5 +121,5 @@
     this->setFrontColor(Color(1,1,1,1), true);
     this->setFrontColor(Color(0,1,0,1));
-    emit(this->textChanged(this->_text.getText()));
+    emit(this->textChanged(this->_text.text()));
   }
 
@@ -143,5 +143,5 @@
   void GLGuiInputLine::pushEnter()
   {
-    emit(this->enterPushed(this->_text.getText()));
+    emit(this->enterPushed(this->_text.text()));
     if (this->_clearOnEnter)
       this->clear();
Index: /branches/gui/src/lib/gui/gl/glgui_inputline.h
===================================================================
--- /branches/gui/src/lib/gui/gl/glgui_inputline.h	(revision 8538)
+++ /branches/gui/src/lib/gui/gl/glgui_inputline.h	(revision 8539)
@@ -32,5 +32,5 @@
 
     /** @returns the text of the inputLine */
-    const std::string& _getText() const { return this->_text.getText(); };
+    const std::string& _getText() const { return this->_text.text(); };
 
     void setText(const std::string& text);