Index: code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 8542)
@@ -59,13 +59,17 @@
     }
 
+    /* The function called when a projectile hits another thing.
+     * calls the hit-function, starts the reload countdown, displays visual effects
+     * hit is defined in src/orxonox/worldentities/pawns/pawn.cc
+     */
     bool BasicProjectile::basicCollidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint, Pawn* owner, BasicProjectile* this_)
     {
         if (!this_->getBDestroy() && GameMode::isMaster())
         {
-            if (otherObject == /*this->*/owner/*_*/) //prevents you from shooting yourself
+            if (otherObject == owner) //prevents you from shooting yourself
                 return false;
 
-            this_->setBDestroy(true); //if something is hit, the object is destroyed and can't hit something else
-// instead of returning false, bDestroy is returned
+            this_->setBDestroy(true); // If something is hit, the object is destroyed and can't hit something else.
+                                      // The projectile is destroyed by its tick()-function (in the following tick).
 
             Pawn* victim = orxonox_cast<Pawn*>(otherObject); //if otherObject isn't a Pawn, then victim is NULL
@@ -78,15 +82,15 @@
             if (victim)
             {
-                victim->hit(/*this->*/owner/*_*/, contactPoint, this_->getDamage(), this_->getHealthDamage(), this_->getShieldDamage());
+                victim->hit(owner, contactPoint, this_->getDamage(), this_->getHealthDamage(), this_->getShieldDamage());
                 victim->startReloadCountdown();
             }
 
             // visual effects for being hit, depending on whether the shield is hit or not
-            if (/*this->*/owner/*_*/) //if the owner does not exist (anymore??), no effects are displayed.
+            if (owner) //if the owner does not exist (anymore?), no effects are displayed.
             {
-                if (!victim || (victim && !victim->hasShield())) //same like below
+                if (!victim || (victim && !victim->hasShield()))
                 {
                     {
-                        ParticleSpawner* effect = new ParticleSpawner(/*this->*/owner/*_*/->getCreator());
+                        ParticleSpawner* effect = new ParticleSpawner(owner->getCreator());
                         effect->setPosition(entity->getPosition());
                         effect->setOrientation(entity->getOrientation());
@@ -97,5 +101,5 @@
                         // second effect with same condition
                     {
-                        ParticleSpawner* effect = new ParticleSpawner(/*this->*/owner/*_*/->getCreator());
+                        ParticleSpawner* effect = new ParticleSpawner(owner->getCreator());
                         effect->setPosition(entity->getPosition());
                         effect->setOrientation(entity->getOrientation());
@@ -105,8 +109,9 @@
                     }
                 }
-                        // victim->isAlive() is not false until the next tick, so getHealth() is used instead
+
+                // victim->isAlive() is not false until the next tick, so getHealth() > 0 is used instead
                 if (victim && victim->hasShield() && (this_->getDamage() > 0 || this_->getShieldDamage() > 0) && victim->getHealth() > 0)
                 {
-                    ParticleSpawner* effect = new ParticleSpawner(/*this->*/owner/*_*/->getCreator());
+                    ParticleSpawner* effect = new ParticleSpawner(owner->getCreator());
                     effect->setPosition(entity->getPosition());
                     effect->setOrientation(entity->getOrientation());
@@ -117,18 +122,6 @@
             }
 
-//            if (victim)
-//            {
-//                victim->hit(/*this->*/owner/*_*/, contactPoint, this_->getDamage(), this_->getHealthDamage(), this_->getShieldDamage());
-//                victim->startReloadCountdown();
-//            }
         }
         return false;
     }
-
-/*    void BasicProjectile::destroyObject()
-    {
-        if (GameMode::isMaster())
-            this->destroy();
-    }
-*/
 }
Index: code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.h
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.h	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.h	(revision 8542)
@@ -78,5 +78,4 @@
 
             bool bDestroy_;
-//            Timer destroyTimer_;
     };
 }
Index: code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Fabian 'x3n' Landau
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -46,14 +46,7 @@
 
         this->setConfigValues();
-//        this->bDestroy_ = false;
-//        this->owner_ = 0;
-//        this->damage_ = 115;
-///////////////////me
-//        this->healthdamage_ = 0;
-//        this->shielddamage_ = 0;
-///////////////////end me
+        this->owner_ = 0;
 
         // Get notification about collisions
-
         if (GameMode::isMaster())
         {
@@ -98,4 +91,6 @@
     }
 
+    /* Calls the collidesAgainst function of BasicProjectile
+     */
     bool Projectile::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
@@ -103,57 +98,4 @@
     }
 
-//////////////////////////me edit
-/*    bool Projectile::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
-    {
-        if (!this->bDestroy_ && GameMode::isMaster())
-        {
-            if (otherObject == this->owner_)
-                return false;
-
-            this->bDestroy_ = true;
-
-            Pawn* victim = orxonox_cast<Pawn*>(otherObject); //if otherObject isn't a Pawn, then victim is NULL
-
-            if (this->owner_)
-            {
-                if (!victim || (victim && !victim->hasShield())) //same like below
-                {
-                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
-                    effect->setPosition(this->getPosition());
-                    effect->setOrientation(this->getOrientation());
-                    effect->setDestroyAfterLife(true);
-                    effect->setSource("Orxonox/explosion3");
-                    effect->setLifetime(2.0f);
-                }
-                if (!victim || (victim && !victim->hasShield())) //same like above
-                {
-                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
-                    effect->setPosition(this->getPosition());
-                    effect->setOrientation(this->getOrientation());
-                    effect->setDestroyAfterLife(true);
-                    effect->setSource("Orxonox/smoke4");
-                    effect->setLifetime(3.0f);
-                }
-                if (victim && victim->hasShield())
-                {
-                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
-                    effect->setPosition(this->getPosition());
-                    effect->setOrientation(this->getOrientation());
-                    effect->setDestroyAfterLife(true);
-                    effect->setSource("Orxonox/engineglow");
-                    effect->setLifetime(0.5f);
-                }
-            }
-
-            if (victim)
-            {
-                victim->hit(this->owner_, contactPoint, this->damage_, this->healthdamage_, this->shielddamage_);
-                victim->startReloadCountdown();
-            }
-        }
-        return false;
-    }
-//////////////////////////////////////////////////////////////////////end edit
-*/
     void Projectile::setOwner(Pawn* owner)
     {
Index: code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.h
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.h	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.h	(revision 8542)
@@ -23,5 +23,5 @@
  *      Fabian 'x3n' Landau
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -51,40 +51,13 @@
             virtual bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
 
-/*            inline void setDamage(float damage)
-                { this->damage_ = damage;  COUT(3) << "DAMAGE-SET-FUNKTION WIRD AUFGERUFEN" << endl; }
-            inline float getDamage() const
-                { return this->damage_; }
-*/
-
-
             void setOwner(Pawn* owner);
             inline Pawn* getOwner() const
                 { return this->owner_; }
 
-/*///////////////////me
-
-            inline void setHealthDamage(float healthdamage)
-                { this->healthdamage_ = healthdamage; }
-            inline float getHealthDamage() const
-                { return this->healthdamage_; }
-
-            inline void setShieldDamage(float shielddamage)
-                { this->shielddamage_ = shielddamage; COUT(3) << "SHIELDDAMAGE SET TO " << shielddamage << endl; } //ShieldDamage wird korrekt gesettet vom XML-File
-            inline float getShieldDamage() const
-                { return this->shielddamage_; }
-
-///////////////////end me
-*/
 
         private:
             WeakPtr<Pawn> owner_;
             float lifetime_;
-/*            float damage_;
-///////me
-            float healthdamage_;
-            float shielddamage_;
-///////end me
-            bool bDestroy_;
-*/            Timer destroyTimer_;
+            Timer destroyTimer_;
     };
 }
Index: code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -43,6 +43,4 @@
 #include "Scene.h"
 
-#include "BasicProjectile.h"
-
 namespace orxonox
 {
@@ -59,5 +57,4 @@
 
         this->localAngularVelocity_ = 0;
-//        this->bDestroy_ = false;
         this->lifetime_ = 100;
 
@@ -183,42 +180,9 @@
     }
 
+    /* Calls the collidesAgainst function of BasicProjectile
+     */
     bool Rocket::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
         return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->getOwner(),this);
-
-/* * /        if (!this->bDestroy_ && GameMode::isMaster())
-        {
-            if (otherObject == this->owner_)
-                return false;
-
-            this->bDestroy_ = true;
-
-            if (this->owner_)
-            {
-                {
-                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
-                    effect->setPosition(this->getPosition());
-                    effect->setOrientation(this->getOrientation());
-                    effect->setDestroyAfterLife(true);
-                    effect->setSource("Orxonox/explosion4");
-                    effect->setLifetime(2.0f);
-                }
-
-                {
-                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
-                    effect->setPosition(this->getPosition());
-                    effect->setOrientation(this->getOrientation());
-                    effect->setDestroyAfterLife(true);
-                    effect->setSource("Orxonox/smoke4");
-                    effect->setLifetime(3.0f);
-                }
-            }
-
-            Pawn* victim = orxonox_cast<Pawn*>(otherObject);
-            if (victim)
-                victim->hit(this->owner_, contactPoint, this->damage_);
-//             this->destroy();
-        }
-/ * */        return false;
     }
 
@@ -237,8 +201,5 @@
     void Rocket::fired(unsigned int firemode)
     {
-//         if (this->owner_)
-//         {
-            this->destroy();
-//         }
+        this->destroy();
     }
 
Index: code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.h
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.h	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.h	(revision 8542)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -116,6 +116,4 @@
             WeakPtr<Pawn> owner_;
             Vector3 localAngularVelocity_;
-//            float damage_;
-//            bool bDestroy_;
 
             WeakPtr<PlayerInfo> player_;
Index: code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -53,9 +53,8 @@
 
         this->localAngularVelocity_ = 0;
-//        this->bDestroy_ = false;
         this->lifetime_ = 120;
 
         this->setMass(15);
-        COUT(4) << "simplerocket constructed\n";
+//        COUT(4) << "simplerocket constructed\n";
 
         if (GameMode::isMaster())
@@ -163,47 +162,9 @@
 
 
-
-
+    /* Calls the collidesAgainst function of BasicProjectile
+     */
     bool SimpleRocket::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
         return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->getOwner(),this);
-/*        if (!this->bDestroy_ && GameMode::isMaster())
-        {
-            if (otherObject == this->owner_)
-                return false;
-
-            this->bDestroy_ = true;
-
-            if (this->owner_)
-            {
-                {
-                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
-                    effect->setPosition(this->getPosition());
-                    effect->setOrientation(this->getOrientation());
-                    effect->setDestroyAfterLife(true);
-                    effect->setSource("Orxonox/explosion4");
-                    effect->setLifetime(2.0f);
-                }
-
-                {
-                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
-                    effect->setPosition(this->getPosition());
-                    effect->setOrientation(this->getOrientation());
-                    effect->setDestroyAfterLife(true);
-                    effect->setSource("Orxonox/smoke4");
-                    effect->setLifetime(3.0f);
-                }
-            }
-
-            float dmg = this->damage_;
-//             if (this->owner_)
-//                 dmg = this->owner_->getPickups().processModifiers(ModifierType::Damage, dmg, false);
-
-            Pawn* victim = orxonox_cast<Pawn*>(otherObject);
-            if (victim)
-                victim->hit(this->owner_, contactPoint, dmg);
-        }
-        return false;
-*/
     }
 
Index: code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.h
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.h	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.h	(revision 8542)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -121,6 +121,4 @@
             WeakPtr<Pawn> owner_;
             Vector3 localAngularVelocity_;
-//            float damage_;
-//            bool bDestroy_;
             bool fuel_; //!< Bool is true while the rocket "has fuel"
 
Index: code/branches/gameimmersion/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Hagen Seifert
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -97,4 +97,6 @@
     }
 
+    /* Creates the projectile object, sets its properties to the EnergyDrink properties, calls muendungsfeuer()
+     */
     void EnergyDrink::shot()
     {
Index: code/branches/gameimmersion/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Martin Polak
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -54,4 +54,6 @@
     }
 
+    /* Creates the projectile (BillboardProjectile) object, sets its properties to the FusionFire properties
+     */
     void FusionFire::fire()
     {
Index: code/branches/gameimmersion/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/weaponmodes/HsW01.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/weaponmodes/HsW01.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Hagen Seifert
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -109,4 +109,6 @@
     }
 
+    /* Creates the projectile object, sets its properties to the HsW01 properties, calls muendungsfeuer()
+     */
     void HsW01::shot()
     {
Index: code/branches/gameimmersion/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Martin Polak
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -51,4 +51,6 @@
     }
 
+    /* Creates the projectile object, sets its properties to the LaserFire properties
+     */
     void LaserFire::fire()
     {
Index: code/branches/gameimmersion/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Joel Smely
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -56,4 +56,6 @@
     }
 
+    /* Creates the projectile (LightningGunProjectile) object, sets its properties to the LightningGun properties
+     */
     void LightningGun::fire()
     {
Index: code/branches/gameimmersion/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- code/branches/gameimmersion/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 8541)
+++ code/branches/gameimmersion/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 8542)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      ...
+ *      simonmie
  *
  */
@@ -59,4 +59,6 @@
     }
 
+    /* Creates the Rocket object, sets its properties to the RocketFire properties
+     */
     void RocketFire::fire()
     {
@@ -71,5 +73,5 @@
         rocket->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         rocket->setDamage(this->getDamage());
-//        rocket->setShieldDamage(this->getShieldDamage());
+//        rocket->setShieldDamage(this->getShieldDamage()); //correct this!
 //        rocket->setHealthDamage(this->getHealthDamage());
     }