Index: /code/branches/pickup/data/levels/includes/pickups.oxi
===================================================================
--- /code/branches/pickup/data/levels/includes/pickups.oxi	(revision 8542)
+++ /code/branches/pickup/data/levels/includes/pickups.oxi	(revision 8543)
@@ -210,2 +210,14 @@
 </PickupRepresentation>
 
+<!-- Shrink Pickup -->
+
+<PickupRepresentation
+    pickupName = "Shrink Pickup"
+    pickupDescription = "Adds a Drone to the Players Spaceship"
+    spawnerTemplate = "smallshrinkpickupRepresentation"
+>
+    <pickup>
+        <ShrinkPickup template=smallshrinkpickup />
+    </pickup>
+</PickupRepresentation>
+
Index: /code/branches/pickup/data/levels/pickups.oxw
===================================================================
--- /code/branches/pickup/data/levels/pickups.oxw	(revision 8542)
+++ /code/branches/pickup/data/levels/pickups.oxw	(revision 8543)
@@ -192,5 +192,5 @@
     <PickupSpawner position="-30,-30,-30" respawnTime="60" triggerDistance="20" maxSpawnedItems="5">
       <pickup>
-        <ShrinkPickup shrinkFactor = "5.0" duration = "5.0" shrinkSpeed = "5.0"/>
+        <ShrinkPickup template ="smallshrinkpickup"/>
       </pickup>
     </PickupSpawner>
Index: /code/branches/pickup/data/levels/templates/pickupRepresentationTemplates.oxt
===================================================================
--- /code/branches/pickup/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 8542)
+++ /code/branches/pickup/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 8543)
@@ -389,4 +389,76 @@
 
 <Template name=hugeinvisiblepickup>
+  <InvisiblePickup 
+    duration = 20.0
+    activaionType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
+<Template name=smallshrinkpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=0.9 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=smallshrinkpickup>
+  <InvisiblePickup 
+    duration = 20.0
+    activaionType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
+<Template name=mediumshrinkpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Sphere2" scale=0.2>
+                        <attached>
+                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=2.0 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=mediumshrinkpickup>
+  <InvisiblePickup 
+    duration = 20.0
+    activaionType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
+<Template name=hugeshrinkpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Sphere2" scale=0.3>
+                        <attached>
+                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=3.0 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=hugeshrinkpickup>
   <InvisiblePickup 
     duration = 20.0