Index: code/branches/gameimmersion/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/gameimmersion/src/orxonox/worldentities/pawns/Pawn.cc	(revision 8552)
+++ code/branches/gameimmersion/src/orxonox/worldentities/pawns/Pawn.cc	(revision 8553)
@@ -152,5 +152,5 @@
         this->bReload_ = false;
 
-////////me
+        // TODO: use the existing timer functions instead
         if(this->reloadWaitCountdown_ > 0)
         {
@@ -163,6 +163,6 @@
         }
 
-////////end me
         if (GameMode::isMaster())
+        {
             if (this->health_ <= 0 && bAlive_)
             {
@@ -170,4 +170,5 @@
                 this->death();
             }
+        }
     }
 
@@ -195,9 +196,23 @@
     }
 
-//////////////////me
+
+    void Pawn::setHealth(float health)
+    {
+        this->health_ = std::min(health, this->maxHealth_); //Health can't be set to a value bigger than maxHealth, otherwise it will be reduced at first hit
+    }
+
+    void Pawn::setShieldHealth(float shieldHealth)
+    {
+        this->shieldHealth_ = std::min(shieldHealth, this->maxShieldHealth_);
+    }
+
+    void Pawn::setMaxShieldHealth(float maxshieldhealth)
+    {
+        this->maxShieldHealth_ = maxshieldhealth;
+    }
+
     void Pawn::setReloadRate(float reloadrate)
     {
         this->reloadRate_ = reloadrate;
-        //COUT(2) << "RELOAD RATE SET TO " << this->reloadRate_ << endl;
     }
 
@@ -205,5 +220,4 @@
     {
         this->reloadWaitTime_ = reloadwaittime;
-        //COUT(2) << "RELOAD WAIT TIME SET TO " << this->reloadWaitTime_ << endl;
     }
 
@@ -213,25 +227,9 @@
     }
 
-    void Pawn::setMaxShieldHealth(float maxshieldhealth)
-    {
-        this->maxShieldHealth_ = maxshieldhealth;
-    }
-
-    void Pawn::setShieldHealth(float shieldHealth)
-    {
-        this->shieldHealth_ = std::min(shieldHealth, this->maxShieldHealth_);
-    }
-
-///////////////end me
-
-    void Pawn::setHealth(float health)
-    {
-        this->health_ = std::min(health, this->maxHealth_); //Health can't be set to a value bigger than maxHealth, otherwise it will be reduced at first hit
-    }
-
-//////////////////me edit
+    /* Old damage function.
+     * For effects causing only damage not specifically to shield or health
+     */
     void Pawn::damage(float damage, Pawn* originator)
     {
-                COUT(3) << "### alte damage-funktion ###" << endl;
         if (this->getGametype() && this->getGametype()->allowPawnDamage(this, originator))
         {
@@ -247,6 +245,4 @@
             }
 
- //           else { COUT(3) << "## SHIELD : " << this->getShieldHealth() << endl; }
-
             this->setHealth(this->health_ - healthdamage);
 
@@ -261,8 +257,8 @@
         }
     }
-////////////////////end edit
-
-
-/////////////////////me override
+
+    /* Does damage to the pawn, splits it up to shield and health.
+     * Sets lastHitOriginator.
+     */
     void Pawn::damage(float damage, float healthdamage, float shielddamage, Pawn* originator)
     {
@@ -291,16 +287,14 @@
             // play damage effect
         }
-        //COUT(3) << "neue damage-Funktion wurde aufgerufen // " << "Shield:" << this->getShieldHealth() << endl;
-    }
-
-/////////////end me
+    }
 
 
 /* HIT-Funktionen
-	Die hit-Funktionen muessen auch in src/orxonox/controllers/Controller.h angepasst werden!
+	Die hit-Funktionen muessen auch in src/orxonox/controllers/Controller.h angepasst werden! (Visuelle Effekte)
 
 */
 
-
+    /* Old hit function, calls the old damage function and changes velocity vector
+     */
     void Pawn::hit(Pawn* originator, const Vector3& force, float damage)
     {
@@ -314,8 +308,8 @@
     }
 
-/////////////me override
+    /* calls the damage function and adds the force that hit the pawn to the velocity vector
+     */
     void Pawn::hit(Pawn* originator, const Vector3& force, float damage, float healthdamage, float shielddamage)
     {
-//        COUT(3) << "neue hit-Funktion wurde aufgerufen // " << std::flush;
         if (this->getGametype() && this->getGametype()->allowPawnHit(this, originator) && (!this->getController() || !this->getController()->getGodMode()) )
         {
@@ -326,6 +320,7 @@
         }
     }
-/////////////end me
-
+
+    /* Old hit (2) function, calls the old damage function and hits controller
+     */
     void Pawn::hit(Pawn* originator, btManifoldPoint& contactpoint, float damage)
     {
@@ -341,8 +336,8 @@
     }
 
-/////////////me override
+    /* Hit (2) function, calls the damage function and hits controller
+     */
     void Pawn::hit(Pawn* originator, btManifoldPoint& contactpoint, float damage, float healthdamage, float shielddamage)
     {
-//        COUT(3) << "neue hit2-Funktion wurde aufgerufen // shielddamage: " << shielddamage << std::flush;
         if (this->getGametype() && this->getGametype()->allowPawnHit(this, originator) && (!this->getController() || !this->getController()->getGodMode()) )
         {
@@ -350,10 +345,10 @@
 
             if ( this->getController() )
-                this->getController()->hit(originator, contactpoint, shielddamage);
+                this->getController()->hit(originator, contactpoint, damage); // changed to damage, why shielddamage?
 
             // play hit effect
         }
     }
-/////////////end me
+
 
     void Pawn::kill()